API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

PUT /v1/webhooks/{id}

PUT/v1/webhooks/{id}

CodeMeta OS API endpoint.

Request Body

NameTypBeschreibung
namestring
urlstring<uri>
descriptionstring
eventTypesstring[]
entityTypesstring[]
timeoutMsinteger
maxRetriesinteger
retryBackoffMsinteger
isActiveboolean
allowedIpRangesstring[]
customHeadersobject

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X PUT https://api.codemeta-os.de/v1/webhooks/{id} \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "name": "string",
  "url": "string",
  "description": "string",
  "eventTypes": [],
  "entityTypes": [],
  "timeoutMs": 0,
  "maxRetries": 0,
  "retryBackoffMs": 0,
  "isActive": false,
  "allowedIpRanges": [],
  "customHeaders": null
}'
const result = await cm.webhooks.put({
  "name": "string",
  "url": "string",
  "description": "string",
  "eventTypes": [],
  "entityTypes": [],
  "timeoutMs": 0,
  "maxRetries": 0,
  "retryBackoffMs": 0,
  "isActive": false,
  "allowedIpRanges": [],
  "customHeaders": null
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche